From 8ed1dcdf85556905681146bf5fcadf6540a508e9 Mon Sep 17 00:00:00 2001
From: Bu Sun Kim <8822365+busunkim96@users.noreply.github.com>
Date: Thu, 14 May 2020 00:42:22 -0700
Subject: [PATCH] chore: use mocked credentials in tests (#900)

* test: use self.MOCK_CREDENTIALS in tests

* Update test_discovery.py

* Update test_discovery.py
---
 tests/test_discovery.py | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/tests/test_discovery.py b/tests/test_discovery.py
index 6400f2147..217f69d08 100644
--- a/tests/test_discovery.py
+++ b/tests/test_discovery.py
@@ -521,7 +521,11 @@ def test_api_endpoint_override_from_client_options(self):
         options = google.api_core.client_options.ClientOptions(
             api_endpoint=api_endpoint
         )
-        plus = build_from_document(discovery, client_options=options)
+        plus = build_from_document(
+            discovery,
+            client_options=options,
+            credentials=self.MOCK_CREDENTIALS
+        )
 
         self.assertEqual(plus._baseUrl, api_endpoint)
 
@@ -529,7 +533,9 @@ def test_api_endpoint_override_from_client_options_dict(self):
         discovery = open(datafile("plus.json")).read()
         api_endpoint = "https://foo.googleapis.com/"
         plus = build_from_document(
-            discovery, client_options={"api_endpoint": api_endpoint}
+            discovery, 
+            client_options={"api_endpoint": api_endpoint},
+            credentials=self.MOCK_CREDENTIALS
         )
 
         self.assertEqual(plus._baseUrl, api_endpoint)
